program cat1;
uses mtx09;
var m, a, b: mtx;
begin
  tra;
  equ(a,'1 2; 3 4; 5 6');
  zer(b,lgn(a),1); // make a null column vector of the
                   // same dimension as a column of a
  add(b,a);        // b(i) = sum_j a(i,j)
  cat(m,a,b)       // m = [ a, b ] Scilab notation
end.
